Package ietf.params.xml.ns.icalendar_2

# Class FreebusyPropType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.FreebusyPropType

public class FreebusyPropType extends BasePropertyType

Java class for FreebusyPropType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FreebusyPropType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}period" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<PeriodType>`
  `period`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FreebusyPropType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PeriodType>`
  `getPeriod()`
  Gets the value of the period property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### period

    protected List<PeriodType> period

- ## Constructor Details

  - ### FreebusyPropType

    public FreebusyPropType()

- ## Method Details

  - ### getPeriod

    public List<PeriodType> getPeriod()
    Gets the value of the period property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the period property.

    For example, to add a new item, do as follows:

            getPeriod().add(newItem);

    Objects of the following type(s) are allowed in the list `PeriodType`